scim::DummyIMEngineFactory Class Reference
IMEngine

A trivial IMEngine that do nothing. More...

`#include <scim_imengine.h>`

## Public Member Functions

| DummyIMEngineFactory ()
virtual | ~DummyIMEngineFactory ()
virtual WideString | get_name () const
| Get the name of this input method engine.
virtual String | get_uuid () const
| Get the UUID of this input method engine.
virtual String | get_icon_file () const
| Get the icon file path of this input method engine.
virtual WideString | get_authors () const
| Get the authors information of this input method engine.
virtual WideString | get_credits () const
| Get the credits information of this input method engine.
virtual WideString | get_help () const
| Get the help information of this input method engine.
virtual bool | validate_encoding (const String &encoding) const
| Check if an encoding is supported by this IMEngineFactory.
virtual bool | validate_locale (const String &locale) const
| Check if a locale is supported by this IMEngineFactory.
virtual IMEngineInstancePointer | create_instance (const String &encoding, int id=-1)
| Create a new IMEngineInstance object.
Public Member Functions inherited from scim::IMEngineFactoryBase
| IMEngineFactoryBase ()
virtual | ~IMEngineFactoryBase ()
| Virtual destructor.
virtual String | get_language () const
| Get the supported language of this input method engine.
virtual WideString | inverse_query (const WideString &str)
| Get the original key string of a composed string.
String | get_default_locale () const
| Get the default locale of this input method engine.
String | get_default_encoding () const
| Get the default encoding of this input method engine.
String | get_locales () const
| Get a list of all supported locales, separated by comma.
String | get_encodings () const
| Get a list of all supported encodings, separated by comma.
Public Member Functions inherited from scim::ReferencedObject
bool | is_referenced () const
void | ref ()
| Increase an object's reference count by one.
void | unref ()

## Additional Inherited Members

Protected Member Functions inherited from scim::IMEngineFactoryBase
void | set_locales (const String &locales)
| Set the locales supported by this input method engine.
void | set_languages (const String &languages)
| Set the languages supported by this input method engine.
Protected Member Functions inherited from scim::ReferencedObject
| ReferencedObject ()
| Constructor.
virtual | ~ReferencedObject ()=0
| Destructor.
void | set_referenced (bool reference)

## Detailed Description

A trivial IMEngine that do nothing.

## Constructor & Destructor Documentation

## DummyIMEngineFactory()

scim::DummyIMEngineFactory::DummyIMEngineFactory | ( |  | ) |

## ~DummyIMEngineFactory()

virtual scim::DummyIMEngineFactory::~DummyIMEngineFactory | ( |  | ) |

virtual

## Member Function Documentation

## get_name()

virtual WideString scim::DummyIMEngineFactory::get_name | ( |  | ) | const

virtual

Get the name of this input method engine.

This name should be a localized string.

Returns
  A WideString containing the name.

Implements scim::IMEngineFactoryBase.

## get_uuid()

virtual String scim::DummyIMEngineFactory::get_uuid | ( |  | ) | const

virtual

Get the UUID of this input method engine.

Each input method engine has an unique UUID to distinguish itself from other engines.

You may use uuidgen command shipped with e2fsprogs package to generate this UUID.

Returns
  A String containing an unique UUID.

Implements scim::IMEngineFactoryBase.

## get_icon_file()

virtual String scim::DummyIMEngineFactory::get_icon_file | ( |  | ) | const

virtual

Get the icon file path of this input method engine.

Returns
  A String containing the icon file path on the local filesystem.

Implements scim::IMEngineFactoryBase.

## get_authors()

virtual WideString scim::DummyIMEngineFactory::get_authors | ( |  | ) | const

virtual

Get the authors information of this input method engine.

This string should be a localized string.

Returns
  A WideString containing a list of the authors' name.

Implements scim::IMEngineFactoryBase.

## get_credits()

virtual WideString scim::DummyIMEngineFactory::get_credits | ( |  | ) | const

virtual

Get the credits information of this input method engine.

This string should be a localized string.

Returns
  A WideString containing the credits information.

Implements scim::IMEngineFactoryBase.

## get_help()

virtual WideString scim::DummyIMEngineFactory::get_help | ( |  | ) | const

virtual

Get the help information of this input method engine.

This string should be a localized string.

Returns
  A WideString containing the help information.

Implements scim::IMEngineFactoryBase.

## validate_encoding()

virtual bool scim::DummyIMEngineFactory::validate_encoding | ( | const String & | encoding | ) | const

virtual

Check if an encoding is supported by this IMEngineFactory.

The default implementation of this virtual function validates the encoding against the locale list set by method set_locales.

It should be enough in most case.

Parameters

  encoding | - the encoding name to be checked.

Returns
  true if the encoding is supported, otherwise false.

Reimplemented from scim::IMEngineFactoryBase.

## validate_locale()

virtual bool scim::DummyIMEngineFactory::validate_locale | ( | const String & | locale | ) | const

virtual

Check if a locale is supported by this IMEngineFactory.

The default implementation of this virtual function validates the locale against the locale list set by method set_locales.

It should be enough in most case.

Parameters

  locale | - the locale name to be checked.

Returns
  true if the locale is supported, otherwise false.

Reimplemented from scim::IMEngineFactoryBase.

## create_instance()

virtual IMEngineInstancePointer scim::DummyIMEngineFactory::create_instance | ( | const String & | encoding,
|  | int | id = -1 )

virtual

Create a new IMEngineInstance object.

This method creates a new scim::IMEngineInstanceBase object with the given encoding and id.

Parameters

  encoding | - the encoding supported by the client.
  id | - the instance id, should be unique.

Returns
  A smart pointer points to this new IMEngineInstance object.

Implements scim::IMEngineFactoryBase.

The documentation for this class was generated from the following file:

- scim_imengine.h